use <library.scad>

a = 10.16;
d = 1.6;
thickness = 2;


translate([0,a,0]){hole(a,d,thickness);}
translate([0,-a,0]){hole(a,d,thickness);}
for(i=[0:5]){
	translate([a*i,0,0]){hole(a,d,thickness);}
}


module hole(a,d,thickness){
	difference(){
		translate([0,0,thickness/2]){cube([a,a,thickness],center=true);}
		translate([0,0,thickness/2]){cylinder(h=thickness*2,r=d,$fn=100,center=true);}
	}

}