r = 35;
h = 20.32;
thickness = 2;

/*
for(i=[0:3]){
translate([0,0,i*h]){shield_part();}
}*/

shield_part();

module shield_part(){
	difference(){
		difference(){
			translate([0,0,0.01]){scale(0.999){part(r,h);}}
			resize([2*r-thickness*2,2*r-thickness*2,0]){part(r,h);}
		}
		union(){
			translate([0,0,1.3*h-h/8]){cube([2*r/1.5,thickness,0.3*h],center=true);
												cube([thickness,2*r/1.5,0.3*h],center=true);}
		}
	}

	difference(){
		difference(){
			intersection(){
				union(){
					translate([-thickness/2,thickness-r,0]){cube([thickness,2*r-thickness*2,h]);}
					translate([thickness-r,-thickness/2,0]){cube([2*r-thickness*2,thickness,h]);}
				}
				resize([2*r-thickness*2,2*r-thickness*2,0]){part(r,h);}
			}
			translate([0,0,-0.1]){cylinder(h=h,r=r/1.6-thickness,$fn=100);}
		}
		cylinder(h=h*2,r1=r/1.6-2*thickness,r2=r*0.8,$fn=100);	
	}
	rotate([0,0,45]){
		translate([0,0,h/6]){
			difference(){
				difference(){
					cube([sqrt(2*pow(r/1.6,2)),sqrt(2*pow(r/1.6,2)),h/3],center=true);
					cube([sqrt(2*pow(r/1.6,2))-thickness*2,sqrt(2*pow(r/1.6,2))-thickness*2,h/2],center=true);
				}
				rotate([0,90,0]){translate([0,0,-(sqrt(2*pow(r/1.6,2))+thickness)/2]){cylinder(h=sqrt(2*pow(r/1.6,2))+thickness,r=1.6,$fn=100);}}
			}
		}
	}
}

module part(r,h){
	difference(){
		intersection(){
			translate([-r,-r,0]){cube([2*r,2*r,h]);}
			cylinder(h=h, r=r,$fn=100);
		}
		translate([0,0,h/5]){
			difference(){
				translate([-r,-r,0]){cube([r*2,r*2,h+1]);}
				resize([0,0,h*5/3]){sphere(r=r,$fn=100);}
			}
		}
	}
	cylinder(h=1.3*h,r=r/1.5,$fn=100);
}
